Package org.gradle.nativeplatform

## Interface TargetMachineBuilder

- All Superinterfaces:
    `TargetMachine`

      public interface TargetMachineBuilder
      extends TargetMachine

  A builder for configuring the architecture of a `TargetMachine` objects.
  Since:
    5.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TargetMachine` | `architecture​(java.lang.String architecture)` | Returns a `TargetMachine` for the operating system of this machine and the specified architecture.
    `TargetMachine` | `getX86()` | Returns a `TargetMachine` for the operating system of this machine and the x86 32-bit architecture
    `TargetMachine` | `getX86_64()` | Returns a `TargetMachine` for the operating system of this machine and the x86 64-bit architecture

    - ### Methods inherited from interface org.gradle.nativeplatform.TargetMachine

      `getArchitecture, getOperatingSystemFamily`

- - ### Method Detail

    - #### getX86

          TargetMachine getX86()

      Returns a `TargetMachine` for the operating system of this machine and the x86 32-bit architecture

    - #### getX86_64

          TargetMachine getX86_64()

      Returns a `TargetMachine` for the operating system of this machine and the x86 64-bit architecture

    - #### architecture

          TargetMachine architecture​(java.lang.String architecture)

      Returns a `TargetMachine` for the operating system of this machine and the specified architecture.